openSUSE 10 Security Update : ruby (ruby-5483)

This script is Copyright (C) 2008-2016 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update of ruby fixes :

- a possible information leakage (CVE-2008-1145)

- a directory traversal bug (CVE-2008-1891) in WEBrick

- various memory corruptions and integer overflows in
array and string handling (CVE-2008-2662, CVE-2008-2663,
CVE-2008-2664, CVE-2008-2725, CVE-2008-2726,
CVE-2008-2727, CVE-2008-2728)

Solution :

Update the affected ruby packages.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)

Family: SuSE Local Security Checks

Nessus Plugin ID: 34028 ()

Bugtraq ID:

CVE ID: CVE-2008-1145
CVE-2008-1891
CVE-2008-2662
CVE-2008-2663
CVE-2008-2664
CVE-2008-2725
CVE-2008-2726
CVE-2008-2728

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now